Back to LinkedIn
Apify·LinkedIn

Search LinkedIn Profiles

/harvestapi/linkedin-profile-searchasync$0.134 / result

Search for LinkedIn profiles with filters and extract detailed profile information, including work experience, education history, location and more. No cookies or account required. Runs as an Apify actor (20–120 s); results are dataset rows.

Charged per returned row plus the flat fee.

Input
  • profileScraperModestring

    Choose the mode for scraping LinkedIn profiles. The Short mode provides basic information, while the Full mode includes full detailed profile data. (default "Full")

    Short, Full, Full + email search

  • searchQuerystring

    Query to search LinkedIn profiles. (e.g., `Founder`, `Marketing Manager`, `John Doe`). [The query supports search operators](https://www.linkedin.com/help/linkedin/answer/a524335)

  • maxItemsinteger

    Maximum number of profiles to scrape. The actor will stop scraping when this limit is reached.

  • locationsarray

    Filter Profiles by these LinkedIn locations. Example: `San Francisco`. LinkedIn does not always understand your text queries. For example for "UK" query it will apply "Ukraine" location, so you should use "United Kingdom" in this case. Try this out first in the location filter input of LinkedIn sear

  • currentCompaniesarray

    Filter Profiles by these LinkedIn companies. Provide full LinkedIn URLs

  • pastCompaniesarray

    Filter Profiles by these LinkedIn past companies. Provide full LinkedIn URLs

  • schoolsarray

    Filter Profiles by these LinkedIn schools. Example: `Stanford University`.

  • currentJobTitlesarray

    Filter Profiles by these LinkedIn current job titles. Example: `Software Engineer`.

  • pastJobTitlesarray

    Filter Profiles by these LinkedIn past job titles. Example: `Software Engineer`.

  • yearsOfExperienceIdsarray

    Filter Profiles by these LinkedIn years of experience IDs. Example: `3` for '3 to 5 years'.

  • yearsAtCurrentCompanyIdsarray

    Filter Profiles by these LinkedIn years at current company IDs. Example: `3` for '3 to 5 years'.

  • seniorityLevelIdsarray

    Filter Profiles by these LinkedIn seniority level IDs. Example: `120` for 'Senior'.

  • functionIdsarray

    Filter Profiles by these LinkedIn function IDs. Example: `8` for 'Engineering'.

  • industryIdsarray

    Filter Profiles by these LinkedIn industry IDs. Example: `4` for 'Software Development'. Full list: `https://github.com/HarvestAPI/linkedin-industry-codes-v2/blob/main/linkedin_industry_code_v2_all_eng_with_header.csv`

  • firstNamesarray

    Filter Profiles by these LinkedIn first names. We recommend using another actor for searches by name: https://apify.com/harvestapi/linkedin-profile-search-by-name

  • lastNamesarray

    Filter Profiles by these LinkedIn last names. We recommend using another actor for searches by name: https://apify.com/harvestapi/linkedin-profile-search-by-name

  • profileLanguagesarray

    Filter Profiles by these LinkedIn profile languages.

  • companyHeadcountarray

    Filter Profiles by their current company's headcount.

  • companyHeadquarterLocationsarray

    Filter Profiles by their current company's headquarter location.

  • recentlyChangedJobsboolean

    Filter Profiles to only those who have changed jobs in the last 90 days.

  • recentlyPostedOnLinkedInboolean

    Filter Profiles to only those who have posted on LinkedIn in the last 30 days.

  • excludeLocationsarray

    Exclude Profiles by these LinkedIn locations. Example: `San Francisco`. LinkedIn does not always understand your text queries. For example for "UK" query it will apply "Ukraine" location, so you should use "United Kingdom" in this case. Try this out first in the location filter input of LinkedIn sea

  • excludeCurrentCompaniesarray

    Exclude Profiles by these LinkedIn companies. Provide full LinkedIn URLs

  • excludePastCompaniesarray

    Exclude Profiles by these LinkedIn past companies. Provide full LinkedIn URLs

  • excludeSchoolsarray

    Exclude Profiles by these LinkedIn schools. Example: `Stanford University`.

  • excludeCurrentJobTitlesarray

    Exclude Profiles by these LinkedIn current job titles. Example: `Software Engineer`.

  • excludePastJobTitlesarray

    Exclude Profiles by these LinkedIn past job titles. Example: `Software Engineer`.

  • excludeIndustryIdsarray

    Exclude Profiles by these LinkedIn industry IDs. Example: `4` for 'Software Development'. Full list: `https://github.com/HarvestAPI/linkedin-industry-codes-v2/blob/main/linkedin_industry_code_v2_all_eng_with_header.csv`

  • excludeSeniorityLevelIdsarray

    Filter Profiles by these LinkedIn seniority level IDs. Example: `120` for 'Senior'.

  • excludeFunctionIdsarray

    Filter Profiles by these LinkedIn function IDs. Example: `8` for 'Engineering'.

  • excludeCompanyHeadquarterLocationsarray

    Exclude Profiles by their current company's headquarter location.

  • startPageinteger

    The page number to start scraping from. (default 1)

  • takePagesinteger

    The number of search pages to scrape. Each page contains 25 profiles.

  • autoQuerySegmentationboolean

    Enable automatic query segmentation to split broad search queries into smaller segments based on LinkedIn filters. This helps in scraping a larger number of unique profiles without hitting LinkedIn's search limits.

  • autoQuerySegmentationLevelsarray

    Select the segmentation levels to be used for automatic query segmentation.

  • autoQuerySegmentationTargetCountriesarray

    Select the target country to focus the automatic query segmentation. This helps in narrowing down the search results to a specific geographic location.

  • profileDeduplicationModestring

    Choose how the actor should handle deduplication of LinkedIn profiles across multiple runs using your MongoDB database.

    off, insert_ids, insert_profiles, read_only

  • mongoDbConnectionStringstring

    Your MongoDB connection string to the database where the actor will store and check scraped profile IDs for deduplication. Example: `mongodb+srv://:@cluster0.mongodb.net`

  • mongoDbDatabaseNamestring

    The name of the MongoDB database where the actor will store and check scraped profile IDs for deduplication. Default name is: `harvestapi`

  • postFilteringMongoDbQueryobject

    A MongoDB query in JSON format to further filter the scraped profiles before saving them to the dataset.

  • postFilteringMongoDbAggregationarray

    A MongoDB aggregation pipeline in JSON format to further filter the scraped profiles before saving them to the dataset.

Run it

curl -s https://sooma.dev/v1/run \ -H "Authorization: Bearer $SOOMA_API_KEY" \ -H "Content-Type: application/json" \ -d '{"provider":"apify","endpoint":"/harvestapi/linkedin-profile-search","input":{}}'

Or ask your agent: it will call inspect for this schema and run it over MCP.